From 1b34119261e2b5c5be1ee2216758d903b97f8a7a Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Apr 26 2020 01:02:09 +0000
Subject: [PATCH 381/2232] Hide VectorElement trait from docs


---

diff --git a/src/cxx_vector.rs b/src/cxx_vector.rs
index d81b4fe..f7185bb 100644
--- a/src/cxx_vector.rs
+++ b/src/cxx_vector.rs
@@ -1,17 +1,5 @@
 use std::mem;
 
-pub trait VectorElement<T> {
-    fn get_unchecked(v: &CxxVector<T>, pos: usize) -> &T
-    where
-        Self: Sized;
-    fn vector_length(v: &CxxVector<T>) -> usize
-    where
-        Self: Sized;
-    fn push_back(v: &CxxVector<T>, item: &T)
-    where
-        Self: Sized;
-}
-
 /// Binding to C++ `std::vector<T>`.
 ///
 /// # Invariants
@@ -76,6 +64,19 @@ impl<'a, T: VectorElement<T>> Iterator for VectorIntoIterator<'a, T> {
     }
 }
 
+#[doc(hidden)]
+pub trait VectorElement<T> {
+    fn get_unchecked(v: &CxxVector<T>, pos: usize) -> &T
+    where
+        Self: Sized;
+    fn vector_length(v: &CxxVector<T>) -> usize
+    where
+        Self: Sized;
+    fn push_back(v: &CxxVector<T>, item: &T)
+    where
+        Self: Sized;
+}
+
 cxxbridge_macro::vector_builtin!(u8);
 cxxbridge_macro::vector_builtin!(u16);
 cxxbridge_macro::vector_builtin!(u32);

